From bdc5df36239c1861122d01a0caa04b776db6446f Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sun, 5 May 2019 20:45:39 +0200
Subject: [PATCH] gimp: build with libexecinfo on musl

Gimp unconditionally includes and uses execinfo.h in its app
core library, which is used everywhere in gimp. If not installed,
gimp will fail to compile. I'm actually not quite sure how it
compiled for musl until now, but somehow it did.

[ci skip]
---
 srcpkgs/gimp/template | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/srcpkgs/gimp/template b/srcpkgs/gimp/template
index df60f8b6608..ce0a12b8825 100644
--- a/srcpkgs/gimp/template
+++ b/srcpkgs/gimp/template
@@ -21,6 +21,13 @@ distfiles="https://download.gimp.org/pub/gimp/v${version%.*}/gimp-${version}.tar
 checksum=12d1f243265c7aee1f2c6e97883a5c90ddc0b19b4346cf822e24adbb6c998c77
 lib32disabled=yes
 
+case "$XBPS_TARGET_MACHINE" in
+	*-musl)
+		makedepends+=" libexecinfo-devel"
+		LDFLAGS+=" -lexecinfo"
+	;;
+esac
+
 pre_configure() {
 	NOCONFIGURE=1 autoreconf -fi
 	if [ "$CROSS_BUILD" ]; then
